# message
execute unless score $dummy dwm_messages matches 1 run tellraw @a {"text":"🛠 Dark Wood Maze is now generating!","color":"#A6FFAF","bold":false,"italic":false}

# kill armor stands for generation
kill @e[type=armor_stand,tag=dwm_creator]
kill @e[type=armor_stand,tag=dwm_eraser]
kill @e[type=armor_stand,tag=dwm_creator2]
kill @e[type=armor_stand,tag=dwm_eraser2]
kill @e[type=armor_stand,tag=dwm_exit]
kill @e[type=armor_stand,tag=dwm_exit2]
kill @e[type=armor_stand,tag=dwm_exit_room]
kill @e[type=text_display,tag=dwm_exit_holo]

# remove scoreboards for a fresh setup
function mazegen:darkwoodmaze/delete/scoreboards

# Maze Timer Scoreboard
scoreboard objectives add maze_timer dummy
scoreboard objectives add maze_timer_run dummy

# Maze Scoreboard for individual steps
scoreboard objectives add maze_step dummy

# dark wood maze scoreboard for deletion
scoreboard objectives add dwm_deletion_true dummy

# dark wood maze scoreboard for creation
scoreboard objectives add dwm_creation_true dummy

# dark wood maze scoreboard for exit placement
scoreboard objectives add dwm_exit_true dummy
scoreboard objectives add exit_set dummy
scoreboard objectives add exit_1_active dummy
scoreboard objectives add exit_2_active dummy
scoreboard objectives add exit_trigger dummy

#rng scoreboards
scoreboard objectives add rng5 dummy
scoreboard objectives add rng4 dummy
scoreboard objectives add rng16 dummy

# room scoreboards
scoreboard objectives add room_set dummy
scoreboard objectives add room_type_chosen dummy
scoreboard objectives add creator_1_active dummy
scoreboard objectives add creator_2_active dummy
scoreboard objectives add room_selection dummy

# reset $dummy to scoreboard
scoreboard players set $dummy maze_timer 0
scoreboard players set $dummy maze_timer_run 0
scoreboard players set $dummy maze_step 0
scoreboard players set $dummy dwm_deletion_true 0
scoreboard players set $dummy dwm_creation_true 0
scoreboard players set $dummy dwm_exit_true 0
scoreboard players set $dummy rng5 0
scoreboard players set $dummy rng4 0
scoreboard players set $dummy rng16 0
scoreboard players set $dummy room_type_chosen 0
scoreboard players set $dummy exit_1_active 0
scoreboard players set $dummy exit_2_active 0
scoreboard players set $dummy room_set 0
scoreboard players set $dummy creator_1_active 0
scoreboard players set $dummy creator_2_active 0
scoreboard players set $dummy exit_trigger 0
scoreboard players set $dummy exit_set 0
scoreboard players set $dummy room_selection 0


# remove and generate actual maze
function mazegen:darkwoodmaze/erase